# PawnsPaintRestored


![Image](https://i.imgur.com/buuPQel.png)

Update of Faeldray, original by Willelbinis mod
https://steamcommunity.com/sharedfiles/filedetails/?id=1541281528

- Added support for https://steamcommunity.com/sharedfiles/filedetails/?id=1537873717]Selectable Sculpture Graphic
- Added trading-tags
- Added wall mountable paintings, slightly smaller
- Added rotation-support for the wall mountable paintings

To add your own wall-mounted paintings there is a template https://github.com/emipa606/PawnsPaintRestored/tree/main/Source]here as well as two BIMP-templates to automate it using the https://alessandrofrancesconi.it/projects/bimp]BIMP plugin to GIMP.

![Image](https://i.imgur.com/pufA0kM.png)

	
![Image](https://i.imgur.com/Z4GOv8H.png)

**Pawns Paint! Restored** is a variation/continuation of the amazing https://steamcommunity.com/sharedfiles/filedetails/?id=917248300]Pawns Paint! by https://steamcommunity.com/id/Wumbi77]WillieLambo. When Willie was unable to continue updating it, I really missed it in my games so I made a version for my own personal use. After getting Wille's approval, I'm now sharing it on the Workshop for all to enjoy!

The only major difference between my version and Willie's is that I changed the paintings to be all real-life public domain paintings.

# Don't like the paintings? Or want to add/remove some?

You can change them! They are located in the following folder on your hard drive:
**Steam installation location\SteamApps\workshop\content\294100\2449797994\Textures\Things\Building\Art**

If you'd like to make your own paintings, you can https://github.com/faeldray/PawnsPaintRestored/releases/tag/source]download templates that were made with paint.net and Photoshop. All of the paintings that get loaded into a game are located in your local "Painting" folder, so you can add or remove them in there.

If you want Wille's paintings back, download and unzip https://github.com/faeldray/PawnsPaintRestored/releases/tag/paintings]this file, delete the "Painting" folder on your computer, and paste the new "Painting" folder in its place.

# Possible future features



- Rotatable easels and paintings
- Wall-mounted paintings
- Larger paintings
- [strike]World peace[/strike]



# Non-Steam download



- https://github.com/faeldray/PawnsPaintRestored/releases]Github



# Previous versions



- https://steamcommunity.com/sharedfiles/filedetails/?id=1503685494]Beta 19
- https://steamcommunity.com/sharedfiles/filedetails/?id=1380798383]Beta 18



# Check out my other mods



- https://steamcommunity.com/sharedfiles/filedetails/?id=1638624908]Forbidden Temperatures - Allows your campfires, passive coolers, and torch lamps to be forbiddable.
- https://steamcommunity.com/sharedfiles/filedetails/?id=1541281864]Where's the gravel? - Make gravel (AKA poor soil) much easier to see https://steamcommunity.com/sharedfiles/filedetails/?id=1541282175](Also in available in gray)



# Credits



- All credit goes to https://steamcommunity.com/id/Wumbi77]WillieLambo for making this wonderful mod. I just updated it.
- https://steamcommunity.com/profiles/76561198380853165]ThirdEye for the Simplified Chinese translation.






The description for the original mod is below:
---------------------------------------------------------------------------------------------------------------------------------------

Let your colonists paint!
Paintings give beauty and lets pawns look at them for joy.

This mod lets your colonists build an easel and make paintings from cloth and wood.
Colonists paint whatever they feel like, and sometimes it's some weird *#@!.

The paintings are unfortunately not rotatable, which is a shame. I've tried and tried to make it work but having both random textures and make it rotatable doesn't seem possible.

Currently on version Beta 18!! ---
Beta 18 link (big thanks to Jibbles for the files!):
https://www.dropbox.com/s/fll7mrb3uguobmp/Pawns%20Paint%20B18.zip?dl=0
Alpha 17 link:
https://www.dropbox.com/s/t7xazp7dlh7tj0f/Pawns%20Paint%20A17.zip?dl=0
Alpha 16 link:
https://www.dropbox.com/s/om33yulm6g1bsyq/Pawns%20Paint%20A16.zip?dl=0

The idea is that every painting is randomized from a folder full of paintings.
If you have any ideas for paintings or balancing suggestions, please let me know.

If you want to add/remove custom paintings, this is the directory,
Paste this in your windows search:
Your harddrive:\Program Files (x86)\Steam\SteamApps\workshop\content\294100\917248300\Textures\Things\Building\Art

...And smash that subscribe button!

![Image](https://i.imgur.com/PwoNOj4.png)



-  See if the the error persists if you just have this mod and its requirements active.
-  If not, try adding your other mods until it happens again.
-  Post your error-log using https://steamcommunity.com/workshop/filedetails/?id=818773962]HugsLib and command Ctrl+F12
-  For best support, please use the Discord-channel for error-reporting.
-  Do not report errors by making a discussion-thread, I get no notification of that.
-  If you have the solution for a problem, please post it to the GitHub repository.




